Bug 1141809 (CVE-2014-6410) - CVE-2014-6410 kernel: udf: Avoid infinite loop when processing indirect ICBs
Summary: CVE-2014-6410 kernel: udf: Avoid infinite loop when processing indirect ICBs
Status: CLOSED ERRATA
Alias: CVE-2014-6410
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140915,reported=2...
Keywords: Security
Depends On: 1141810 1142319 1142320 1142321 1142322 1142323
Blocks: 1141813
TreeView+ depends on / blocked
 
Reported: 2014-09-15 13:43 UTC by Vasyl Kaigorodov
Modified: 2016-03-04 12:30 UTC (History)
39 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A stack overflow flaw caused by infinite recursion was found in the way the Linux kernel's Universal Disk Format (UDF) file system implementation processed indirect Information Control Blocks (ICBs). An attacker with physical access to the system could use a specially crafted UDF image to crash the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 06:59:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2014:1997 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-17 00:12:55 UTC

Description Vasyl Kaigorodov 2014-09-15 13:43:54 UTC
Linux kernel built with the UDF file system support(CONFIG_UDF_FS) is vulnerable
to a crash due to stack overflow through infinite recursion. It occurs while traversing a long ICB hierarchy.

a user/program able to mount such a file system could use this flaw to crash the system kernel resulting in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/c03aa9f6e1f938618e6db2e23afef0574efeeb65

Reference:
----------
  -> http://seclists.org/oss-sec/2014/q3/600

Comment 1 Vasyl Kaigorodov 2014-09-15 13:44:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1141810]

Comment 2 Murray McAllister 2014-09-16 03:19:33 UTC
MITRE assigned CVE-2014-6410 to this issue:

http://seclists.org/oss-sec/2014/q3/606

Comment 3 Prasad J Pandit 2014-09-16 14:48:25 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future kernel
updates for Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2 may
address this issue.

Comment 6 Prasad J Pandit 2014-09-16 14:58:17 UTC
Fedora kernel has been fixed to include this patch:
  -> http://pkgs.fedoraproject.org/cgit/kernel.git/commit/?h=f20&id=52720ac370a759fa09dcd86768a5413a5ed3f9cf

Comment 7 Fedora Update System 2014-09-19 10:10:32 UTC
kernel-3.16.2-201.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-23 04:44:02 UTC
kernel-3.16.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2014-09-29 19:42:34 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 10 Fedora Update System 2014-09-30 01:58:58 UTC
kernel-3.14.19-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Martin Prpič 2014-09-30 10:45:33 UTC
IssueDescription:

A stack overflow flaw caused by infinite recursion was found in the way the Linux kernel's Universal Disk Format (UDF) file system implementation processed indirect Information Control Blocks (ICBs). An attacker with physical access to the system could use a specially crafted UDF image to crash the system.

Comment 12 errata-xmlrpc 2014-12-09 20:36:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 13 errata-xmlrpc 2014-12-16 19:14:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1997 https://rhn.redhat.com/errata/RHSA-2014-1997.html


Note You need to log in before you can comment on or make changes to this bug.